For the complete documentation index, see llms.txt. This page is also available as Markdown.

🏪 Vendors

Vendor and supplier management

List vendors

get
/api/v1.0/organisation/{org_uid}/vendors/

Get a paginated list of vendors with support for search, status, and category filters

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
Query parameters
categorystring · enumOptional

Filter by vendor category

Possible values:
entity_typestring · enumOptional

Filter by entity type

Possible values:
industrystring · enumOptional

Filter by industry

Possible values:
searchstringOptional

Search vendors by name or website

statusstring · enumOptional

Filter by vendor status

Possible values:
Responses
200Success
application/json

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_status_displaystring · nullableRead-onlyRequired
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
vendor_category_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
days_since_last_contactinteger · nullableRead-onlyRequired
days_since_last_orderinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
is_contract_activebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
get/api/v1.0/organisation/{org_uid}/vendors/
GET /api/v1.0/organisation/{org_uid}/vendors/ HTTP/1.1
Host: skhokho.ai
Accept: */*
[
  {
    "unique_id": "text",
    "name": "text",
    "description": "text",
    "entity_type": "individual",
    "entity_type_display": "text",
    "vendor_status": "potential",
    "vendor_status_display": "text",
    "vendor_category": "goods",
    "vendor_category_display": "text",
    "industry": "agriculture",
    "industry_display": "text",
    "website": "https://example.com",
    "company_size": "text",
    "annual_revenue": "text",
    "minimum_order_amount": "text",
    "default_currency": "text",
    "first_contact_date": "2026-01-01",
    "last_contact_date": "2026-01-01",
    "next_follow_up_date": "2026-01-01",
    "last_order_date": "2026-01-01",
    "contract_start_date": "2026-01-01",
    "contract_end_date": "2026-01-01",
    "quality_rating": "text",
    "delivery_rating": "text",
    "created_by": {
      "unique_id": "text",
      "full_name": "text"
    },
    "assigned_to": {
      "unique_id": "text",
      "full_name": "text"
    },
    "account_owner": {
      "unique_id": "text",
      "full_name": "text"
    },
    "address": {
      "address_line_1": "text",
      "address_line_2": "text",
      "city": "text",
      "province_state": "text",
      "postal_code": "text",
      "country": "text",
      "phone": "text"
    },
    "banking_information": {
      "bank_name": "text",
      "account_number": "text",
      "branch_code": "text",
      "account_type": "checking",
      "routing_number": "text",
      "swift_code": "text"
    },
    "days_since_last_contact": 1,
    "days_since_last_order": 1,
    "is_follow_up_overdue": true,
    "is_contract_active": true,
    "date_created": "2026-01-01T00:00:00.000Z",
    "last_updated": "2026-01-01T00:00:00.000Z"
  }
]

Create vendor

post
/api/v1.0/organisation/{org_uid}/vendors/create/

Create a new vendor. Vendor name is required.

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
Body

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1 · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
Responses
201Success
application/json

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_status_displaystring · nullableRead-onlyRequired
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
vendor_category_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
days_since_last_contactinteger · nullableRead-onlyRequired
days_since_last_orderinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
is_contract_activebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
post/api/v1.0/organisation/{org_uid}/vendors/create/
POST /api/v1.0/organisation/{org_uid}/vendors/create/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 854

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "vendor_status": "potential",
  "vendor_category": "goods",
  "industry": "agriculture",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "minimum_order_amount": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "last_order_date": "2026-01-01",
  "contract_start_date": "2026-01-01",
  "contract_end_date": "2026-01-01",
  "quality_rating": "text",
  "delivery_rating": "text",
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  }
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "vendor_status": "potential",
  "vendor_status_display": "text",
  "vendor_category": "goods",
  "vendor_category_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "minimum_order_amount": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "last_order_date": "2026-01-01",
  "contract_start_date": "2026-01-01",
  "contract_end_date": "2026-01-01",
  "quality_rating": "text",
  "delivery_rating": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "days_since_last_order": 1,
  "is_follow_up_overdue": true,
  "is_contract_active": true,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Get vendor

get
/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/

Retrieve a specific vendor by unique_id

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Responses
200Success
application/json

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_status_displaystring · nullableRead-onlyRequired
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
vendor_category_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
days_since_last_contactinteger · nullableRead-onlyRequired
days_since_last_orderinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
is_contract_activebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
get/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/
GET /api/v1.0/organisation/{org_uid}/vendors/{unique_id}/ HTTP/1.1
Host: skhokho.ai
Accept: */*
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "vendor_status": "potential",
  "vendor_status_display": "text",
  "vendor_category": "goods",
  "vendor_category_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "minimum_order_amount": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "last_order_date": "2026-01-01",
  "contract_start_date": "2026-01-01",
  "contract_end_date": "2026-01-01",
  "quality_rating": "text",
  "delivery_rating": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "days_since_last_order": 1,
  "is_follow_up_overdue": true,
  "is_contract_active": true,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update vendor

put
/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/update/

Update a specific vendor (full or partial update). For PATCH requests, only provided fields are updated.

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Body

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1 · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
Responses
200Success
application/json

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_status_displaystring · nullableRead-onlyRequired
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
vendor_category_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
days_since_last_contactinteger · nullableRead-onlyRequired
days_since_last_orderinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
is_contract_activebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
put/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/update/
PUT /api/v1.0/organisation/{org_uid}/vendors/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 854

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "vendor_status": "potential",
  "vendor_category": "goods",
  "industry": "agriculture",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "minimum_order_amount": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "last_order_date": "2026-01-01",
  "contract_start_date": "2026-01-01",
  "contract_end_date": "2026-01-01",
  "quality_rating": "text",
  "delivery_rating": "text",
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  }
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "vendor_status": "potential",
  "vendor_status_display": "text",
  "vendor_category": "goods",
  "vendor_category_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "minimum_order_amount": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "last_order_date": "2026-01-01",
  "contract_start_date": "2026-01-01",
  "contract_end_date": "2026-01-01",
  "quality_rating": "text",
  "delivery_rating": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "days_since_last_order": 1,
  "is_follow_up_overdue": true,
  "is_contract_active": true,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Update vendor

patch
/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/update/

Update a specific vendor (full or partial update). For PATCH requests, only provided fields are updated.

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Body

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · min: 1 · max: 300Optional
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · min: 1 · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
Responses
200Success
application/json

Comprehensive serializer for Vendor model. Handles multilingual fields, nested relationships, computed fields, and vendor-specific metrics.

unique_idstring · max: 100 · nullableOptional
namestring · max: 300Required
descriptionstring · nullableOptional
entity_typestring · enumOptional
  • individual - Individual
  • company - Company
  • non_profit - Non-Profit Organization
  • government - Government Entity
  • partnership - Partnership
  • other - Other
Possible values:
entity_type_displaystring · nullableRead-onlyRequired
vendor_statusstring · enumOptional
  • potential - Potential Vendor
  • active - Active Vendor
  • preferred - Preferred Vendor
  • on_hold - On Hold
  • inactive - Inactive
  • blacklisted - Blacklisted
Possible values:
vendor_status_displaystring · nullableRead-onlyRequired
vendor_categorystring · enumOptional
  • goods - Goods Supplier
  • services - Service Provider
  • both - Goods & Services
  • contractor - Contractor
  • consultant - Consultant
  • other - Other
Possible values:
vendor_category_displaystring · nullableRead-onlyRequired
industrystring · enum · nullableOptional
  • agriculture - Agriculture and Farming
  • cleaning - Cleaning Services
  • construction - Construction and Real Estate Services
  • consulting - Consulting and Freelancing
  • creative - Creative and Design Services
  • education - Education and Tutoring Services
  • events - Entertainment and Events Planning
  • handyman - Handyman and Home Repair Services
  • health - Health and Wellness
  • home_based - Home-Based Businesses
  • hospitality - Hospitality and Tourism
  • it_support - IT and Software Support Services
  • legal - Legal and Financial Services
  • logistics - Logistics and Delivery Services
  • manufacturing - Manufacturing and Small-Scale Production
  • marketing - Marketing and Advertising Services
  • music - Music and Entertainment Services
  • non_profit - Non-Profit and Social Enterprises
  • online_retail - Online Retail and E-commerce
  • photography - Photography and Videography Services
  • printing - Printing and Copy Services
  • professional - Professional Services
  • travel - Travel Agencies
  • utilities - Utilities and Renewable Energy Services
  • wholesale - Wholesale and Distribution
  • writing - Writing and Editing Services
  • virtual_assistance - Virtual Assistance and Admin Support
  • other - Other
Possible values:
industry_displaystring · nullableRead-onlyRequired
websitestring · uri · max: 300 · nullableOptional
company_sizestring · max: 100 · nullableOptional
annual_revenuestring · decimal · nullableOptional

Annual revenue in USD

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
minimum_order_amountstring · decimal · nullableOptional

Minimum order amount required

Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
default_currencystring · max: 3Optional

Default currency code (ISO 4217) for this entity's transactions

first_contact_datestring · date · nullableOptional
last_contact_datestring · date · nullableOptional
next_follow_up_datestring · date · nullableOptional
last_order_datestring · date · nullableOptional
contract_start_datestring · date · nullableOptional
contract_end_datestring · date · nullableOptional
quality_ratingstring · decimal · nullableOptional

Quality rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
delivery_ratingstring · decimal · nullableOptional

Delivery performance rating out of 5.00

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
days_since_last_contactinteger · nullableRead-onlyRequired
days_since_last_orderinteger · nullableRead-onlyRequired
is_follow_up_overduebooleanRead-onlyRequired
is_contract_activebooleanRead-onlyRequired
date_createdstring · date-time · nullableRead-onlyRequired
last_updatedstring · date-time · nullableRead-onlyRequired
patch/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/update/
PATCH /api/v1.0/organisation/{org_uid}/vendors/{unique_id}/update/ HTTP/1.1
Host: skhokho.ai
Content-Type: application/json
Accept: */*
Content-Length: 854

{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "vendor_status": "potential",
  "vendor_category": "goods",
  "industry": "agriculture",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "minimum_order_amount": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "last_order_date": "2026-01-01",
  "contract_start_date": "2026-01-01",
  "contract_end_date": "2026-01-01",
  "quality_rating": "text",
  "delivery_rating": "text",
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  }
}
{
  "unique_id": "text",
  "name": "text",
  "description": "text",
  "entity_type": "individual",
  "entity_type_display": "text",
  "vendor_status": "potential",
  "vendor_status_display": "text",
  "vendor_category": "goods",
  "vendor_category_display": "text",
  "industry": "agriculture",
  "industry_display": "text",
  "website": "https://example.com",
  "company_size": "text",
  "annual_revenue": "text",
  "minimum_order_amount": "text",
  "default_currency": "text",
  "first_contact_date": "2026-01-01",
  "last_contact_date": "2026-01-01",
  "next_follow_up_date": "2026-01-01",
  "last_order_date": "2026-01-01",
  "contract_start_date": "2026-01-01",
  "contract_end_date": "2026-01-01",
  "quality_rating": "text",
  "delivery_rating": "text",
  "created_by": {
    "unique_id": "text",
    "full_name": "text"
  },
  "assigned_to": {
    "unique_id": "text",
    "full_name": "text"
  },
  "account_owner": {
    "unique_id": "text",
    "full_name": "text"
  },
  "address": {
    "address_line_1": "text",
    "address_line_2": "text",
    "city": "text",
    "province_state": "text",
    "postal_code": "text",
    "country": "text",
    "phone": "text"
  },
  "banking_information": {
    "bank_name": "text",
    "account_number": "text",
    "branch_code": "text",
    "account_type": "checking",
    "routing_number": "text",
    "swift_code": "text"
  },
  "days_since_last_contact": 1,
  "days_since_last_order": 1,
  "is_follow_up_overdue": true,
  "is_contract_active": true,
  "date_created": "2026-01-01T00:00:00.000Z",
  "last_updated": "2026-01-01T00:00:00.000Z"
}

Delete vendor

delete
/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/delete/

Delete a specific vendor by unique_id

Authorizations
sessionidstringRequired
Path parameters
org_uidstringRequired
unique_idstringRequired
Responses
204

No Content - Successfully deleted

No content

delete/api/v1.0/organisation/{org_uid}/vendors/{unique_id}/delete/
DELETE /api/v1.0/organisation/{org_uid}/vendors/{unique_id}/delete/ HTTP/1.1
Host: skhokho.ai
Accept: */*

No content

Last updated